Create template
Create a new email template. The shortcut field accepts a single uppercase letter (A-Z) for quick insertion, or an empty string for no shortcut.
curl -X POST "https://api.sendkit.ai/v1/templates" \
-H "Content-Type: application/json" \
-H "X-Api-Key: YOUR_API_KEY" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"name": "Initial Outreach",
"content": "<p>Hi {{firstName}},</p><p>I noticed {{company}} is growing fast and wanted to reach out...</p>",
"shortcut": "A"
}'
import requests
import json
url = "https://api.sendkit.ai/v1/templates"
headers = {
"Content-Type": "application/json",
"X-Api-Key": "YOUR_API_KEY",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"name": "Initial Outreach",
"content": "<p>Hi {{firstName}},</p><p>I noticed {{company}} is growing fast and wanted to reach out...</p>",
"shortcut": "A"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.sendkit.ai/v1/templates", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-Api-Key": "YOUR_API_KEY",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"name": "Initial Outreach",
"content": "<p>Hi {{firstName}},</p><p>I noticed {{company}} is growing fast and wanted to reach out...</p>",
"shortcut": "A"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"name": "Initial Outreach",
"content": "<p>Hi {{firstName}},</p><p>I noticed {{company}} is growing fast and wanted to reach out...</p>",
"shortcut": "A"
}`)
req, err := http.NewRequest("POST", "https://api.sendkit.ai/v1/templates", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-Api-Key", "YOUR_API_KEY")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.sendkit.ai/v1/templates')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-Api-Key'] = 'YOUR_API_KEY'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"name": "Initial Outreach",
"content": "<p>Hi {{firstName}},</p><p>I noticed {{company}} is growing fast and wanted to reach out...</p>",
"shortcut": "A"
}'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"_id": "666f1a2b3c4d5e6f7a8b9c0d",
"name": "Initial Outreach",
"content": "<p>Hi {{firstName}},</p><p>I noticed {{company}} is growing fast and wanted to reach out...</p>",
"shortcut": "A",
"workspaceId": "664f0a1b2c3d4e5f6a7b8c9e",
"createdBy": "664f0a1b2c3d4e5f6a7b8c9d",
"createdAt": "2025-06-10T10:30:00.000Z",
"updatedAt": "2025-06-10T10:30:00.000Z"
}
}
/v1/templates
Platform API key (sk_user_...) or Workspace API key (sk_...)
The media type of the request body
Template name
Template HTML content. Supports variables like {{firstName}}, {{company}}, etc.
Single uppercase letter (A-Z) keyboard shortcut, or empty string for no shortcut
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)
Bearer token. API key as Bearer token
Body
Template name
Template HTML content. Supports variables like \\{\\{firstName\\}\\}, \\{\\{company\\}\\}, etc.
Single uppercase letter (A-Z) keyboard shortcut, or empty string for no shortcut
Responses
Last updated today
Built with Documentation.AI